<?php
/* 快捷商城系统
 * 版本号：2.0
 * 官网：http://www.kjcms.cn
 * 2015-02-16
 */

class ctl_weixin_menu extends mod_weixin_menu {

	//默认浏览页
	function act_default() {
		$this->arr_menu = tab_weixin_menu::get_list_layer();
		return $this->get_view(); //显示页面
	}
	function act_edit() {
		$this->editinfo = $this->get_editinfo( fun_get::get('id') );
		$this->select_folder = $this->get_menu_select("menu_pid" , $this->editinfo["menu_pid"] , $this->editinfo["menu_id"]);
		return $this->get_view(); //显示页面
	}
	//保存关键词
	function act_save() {
		$arr_return = $this->on_save();
		return fun_format::json($arr_return);
	}
	//保存操作,返回josn数据
	function act_save_all() {
		return fun_format::json($arr_return);
	}
	//生成自定义菜单
	function act_save_exe() {
		$arr_return = $this->on_save_all();
		if($arr_return['code'] == 0) {
			$arr_return = cls_weixin::menu_create();
		}
		return fun_format::json($arr_return);
	}
}